(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap1_1.png", id:"Bitmap1_1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap2_1.png", id:"Bitmap2_1"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap3_1.png", id:"Bitmap3_1"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap4_1.png", id:"Bitmap4_1"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap5_1.png", id:"Bitmap5_1"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap6_1.png", id:"Bitmap6_1"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap7_1.png", id:"Bitmap7_1"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap8_1.png", id:"Bitmap8_1"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,78,141);


(lib.Bitmap1_1 = function() {
	this.initialize(img.Bitmap1_1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,249,259);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,76,76);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,116);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,71,72);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,111,93);


(lib.Bitmap2_1 = function() {
	this.initialize(img.Bitmap2_1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,249,259);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,90,83);


(lib.Bitmap3_1 = function() {
	this.initialize(img.Bitmap3_1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,249,259);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,249,259);


(lib.Bitmap4_1 = function() {
	this.initialize(img.Bitmap4_1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,66,85);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,203,219);


(lib.Bitmap5_1 = function() {
	this.initialize(img.Bitmap5_1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,52,66);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,203,219);


(lib.Bitmap6_1 = function() {
	this.initialize(img.Bitmap6_1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,59,113);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,203,219);


(lib.Bitmap7_1 = function() {
	this.initialize(img.Bitmap7_1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,73,49);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,203,219);


(lib.Bitmap8_1 = function() {
	this.initialize(img.Bitmap8_1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,93,58);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,70,65);


(lib.zamrazarka = function() {
	this.initialize();

	// Layer 3
	this.instance = new lib.Bitmap4_1();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,66,85);
p.frameBounds = [rect];


(lib.Symbol15 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();
	this.instance.setTransform(889.7,0);

	this.instance_1 = new lib.Bitmap3_1();
	this.instance_1.setTransform(588.1,0);

	this.instance_2 = new lib.Bitmap2_1();
	this.instance_2.setTransform(298.1,0);

	this.instance_3 = new lib.Bitmap1_1();

	this.addChild(this.instance_3,this.instance_2,this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,1138.7,259);
p.frameBounds = [rect];


(lib.Symbol14 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();
	this.instance.setTransform(889.7,0);

	this.instance_1 = new lib.Bitmap6();
	this.instance_1.setTransform(298.1,0);

	this.instance_2 = new lib.Bitmap5();

	this.instance_3 = new lib.Bitmap7();
	this.instance_3.setTransform(588.1,0);

	this.addChild(this.instance_3,this.instance_2,this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,1092.7,219);
p.frameBounds = [rect];


(lib.Symbol13 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,71,72);
p.frameBounds = [rect];


(lib.Symbol12 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,92,116);
p.frameBounds = [rect];


(lib.Symbol11 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,76,76);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap3();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,90,83);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap2();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,111,93);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap1();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,78,141);
p.frameBounds = [rect];


(lib.mikser = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap5_1();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,52,66);
p.frameBounds = [rect];


(lib.mikrofala = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap7_1();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,73,49);
p.frameBounds = [rect];


(lib.lodowka2 = function() {
	this.initialize();

	// Layer 3
	this.instance = new lib.Bitmap6_1();
	this.instance.setTransform(-52,-100);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-52,-100,59,113);
p.frameBounds = [rect];


(lib.komp = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap8_1();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,93,58);
p.frameBounds = [rect];


(lib.expreskawa = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap9();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,70,65);
p.frameBounds = [rect];


(lib.Symbol10 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.expreskawa();
	this.instance.setTransform(40.5,37.8,1.162,1.162,0,0,0,34.8,32.5);
	this.instance.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-3,-3,91,85);
p.frameBounds = [rect];


(lib.Symbol9 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.komp();
	this.instance.setTransform(92.7,58.2,1.162,1.162,0,0,0,79.8,50.1);
	this.instance.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-3,-3,118,77);
p.frameBounds = [rect];


(lib.Symbol8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.mikrofala();
	this.instance.setTransform(42.2,28.3,1.162,1.162,0,0,0,36.3,24.3);
	this.instance.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-3,-3,94,66);
p.frameBounds = [rect];


(lib.Symbol7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.lodowka2();
	this.instance.setTransform(60.4,116.2,1.162,1.162);
	this.instance.shadow = new cjs.Shadow("#000000",0,0,5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-3,-3,78,141);
p.frameBounds = [rect];


(lib.Symbol6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.mikser();
	this.instance.setTransform(28.5,38.4,1.162,1.162,0,0,0,24.5,33);
	this.instance.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-3,-3,70,86);
p.frameBounds = [rect];


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.zamrazarka();
	this.instance.setTransform(0,0,1.162,1.162);
	this.instance.shadow = new cjs.Shadow("#000000",0,0,5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-3,-3,86,108);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '13240',
			title: 'Wrzuć po trzy elektrośmieci do kosza tak, aby w każdym było tyle punktów, ile wskazuje napis na koszu.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			groupdrags: {		
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9],
				4: [10,11,12],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '1',
				/*drop_3:*/ '1',
				/*drop_4:*/ '2',	
				/*drop_5:*/ '2',	
				/*drop_6:*/ '2',	
				/*drop_7:*/ '3',	
				/*drop_8:*/ '3',	
				/*drop_9:*/ '3',		
				/*drop_10:*/ '4',		
				/*drop_11:*/ '4',		
				/*drop_12:*/ '4',		
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			rotation: 'auto',
			//size: 'auto',
			zindex: 1,
			
			exerciseAfterInit: function(container) {
				container['gfx'].zindex = 1;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				//container['gfx'].zindex=1;
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// fg
	this.gfx = new lib.Symbol14();
	this.gfx.setTransform(652.7,315,1,1,0,0,0,546.3,109.5);

	this.timeline.addTween(cjs.Tween.get(this.gfx).wait(1));

	// content
	this.drop_12 = new lib.Symbol13();
	this.drop_12.setTransform(1166,191.6,1,1,22.7,0,0,30.2,22.2);

	this.drop_11 = new lib.Symbol12();
	this.drop_11.setTransform(1099.3,198.5,1,1,0,0,0,41.2,52.9);

	this.drop_10 = new lib.Symbol11();
	this.drop_10.setTransform(1036.7,195.5,1,1,-24.2,0,0,33,33.1);

	this.drop_9 = new lib.Symbol10();
	this.drop_9.setTransform(852.7,197.2,1,1,-30.3,0,0,40.6,37.8);

	this.drop_8 = new lib.Symbol9();
	this.drop_8.setTransform(799.4,193.4,1,1,0,0,0,54,33.7);

	this.drop_7 = new lib.Symbol8();
	this.drop_7.setTransform(737,195.6,1,1,46.7,0,0,42.4,28.4);

	this.drop_6 = new lib.Symbol7();
	this.drop_6.setTransform(560.1,189.9,1,1,20.5,0,0,34.3,65.7);

	this.drop_5 = new lib.Symbol6();
	this.drop_5.setTransform(512.4,188.8,1,1,0,0,0,30.2,38.4);

	this.drop_4 = new lib.Symbol5();
	this.drop_4.setTransform(452.6,184.5,1,1,-27.5,0,0,38.4,43.4);

	this.drop_3 = new lib.Symbol4();
	this.drop_3.setTransform(267.7,202.4,1,1,31.2,0,0,40,36.6);

	this.drop_2 = new lib.Symbol3();
	this.drop_2.setTransform(217.6,191.2,1,1,0,0,0,50.6,41.8);

	this.drop_1 = new lib.Symbol2();
	this.drop_1.setTransform(160.9,181.3,1,1,-23.5,0,0,34.3,65.7);

	this.drag_12 = new lib.Symbol13();
	this.drag_12.setTransform(1192,606.6,1,1,0,0,0,30.2,22.2);

	this.drag_11 = new lib.Symbol12();
	this.drag_11.setTransform(1099.3,597.6,1,1,0,0,0,41.2,52.9);

	this.drag_10 = new lib.Symbol11();
	this.drag_10.setTransform(1002.8,617.5,1,1,0,0,0,33.1,33.1);

	this.drag_9 = new lib.Symbol10();
	this.drag_9.setTransform(910.7,613.2,1,1,0,0,0,40.6,37.8);

	this.drag_8 = new lib.Symbol9();
	this.drag_8.setTransform(793.4,617,1,1,0,0,0,54,33.7);

	this.drag_7 = new lib.Symbol8();
	this.drag_7.setTransform(673.3,622.9,1,1,0,0,0,42.4,28.4);

	this.drag_6 = new lib.Symbol7();
	this.drag_6.setTransform(578.2,585.3,1,1,0,0,0,34.3,65.7);

	this.drag_5 = new lib.Symbol6();
	this.drag_5.setTransform(495.4,612.6,1,1,0,0,0,30.2,38.4);

	this.drag_4 = new lib.Symbol5();
	this.drag_4.setTransform(406.7,591.1,1,1,0,0,0,38.4,43.4);

	this.drag_3 = new lib.Symbol4();
	this.drag_3.setTransform(307.7,610.4,1,1,0,0,0,40.1,36.6);

	this.drag_2 = new lib.Symbol3();
	this.drag_2.setTransform(200.6,605.2,1,1,0,0,0,50.6,41.8);

	this.drag_1 = new lib.Symbol2();
	this.drag_1.setTransform(94.9,585.3,1,1,0,0,0,34.3,65.7);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drag_1},{t:this.drag_2},{t:this.drag_3},{t:this.drag_4},{t:this.drag_5},{t:this.drag_6},{t:this.drag_7},{t:this.drag_8},{t:this.drag_9},{t:this.drag_10},{t:this.drag_11},{t:this.drag_12},{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_4},{t:this.drop_5},{t:this.drop_6},{t:this.drop_7},{t:this.drop_8},{t:this.drop_9},{t:this.drop_10},{t:this.drop_11},{t:this.drop_12}]}).wait(1));

	// bg
	this.instance = new lib.Symbol15();
	this.instance.setTransform(630,310,1,1,0,0,0,569.3,129.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(60.6,103.6,1172.2,557.1);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(700.6,463.6,1172.2,557.1);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;